/*
 * This file belongs to the XQuark distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquark.org.
 */

package org.xquark.servlet.util;

import java.util.*;

public class HTML {

  public static String format(String input) {
    input = replace(input, "<", "&lt;");
    input = replace(input, ">", "&gt;");
    input = replace(input, "\"", "&quot;");
    return input;
  }

  public static String replace(String input, String old, String replace) {
    
    if (input.length() == 0) return input;
    StringTokenizer tokens = new StringTokenizer(input, old);
    
    StringBuffer buf = new StringBuffer();
    
    // first separator is ignored
    if(input.startsWith(old))
      buf.append(replace);
    
    while(tokens.hasMoreTokens()) {
      buf.append(tokens.nextToken()+replace);
    }
    if (!input.endsWith(old)) buf.setLength(buf.length()-replace.length());
    return buf.toString();
  }
}
